Doomsday Engine - Bug #1928

GameSession: ThingArchive::serialldFor: Thing archive exhausted!
2014-12-11 22:52 - vermil

Status: New Start date: 2014-12-11
Priority: Normal % Done: 0%
Assignee:

Category: Defect

Target version: Rendering

Description

A second or two after | made a save game (sav0) on Map19 of this Doom2 pwad everything froze in some sort of judder (i.e | and all
the mobjs froze, but were running on the spot and juddering back and forth respectively.

http://www.doomworld.com/idgames/?file=levels/doom2/megawads/3ha2.zip

A short while later, Dday closed with this error message: "GameSession: ThingArchive::serialldFor: Thing archive exhausted!"

Further tests revealed it always occurred within a second or so of loading the above mentioned save game, though if | changed
maps, everything appeared to work as normal.

| also attempted to make a save game (sav01) during a freeze, but the resulting save was corrupted and Dday crashes when | try to
load it.

Both save games are attached below.

History

#1 - 2014-12-11 22:54 - vermil

Though it did seem that while everything was visually frozen, that some sort of game world action was still occurring; in my tests | found myself getting
hit by rare invisible fireballs from monsters, complete with impact sound.
#2 - 2014-12-11 23:08 - danij

Can you provide some more context about what you were doing, where you were in the map, etc.., at the time you made the first savegame?

#3 - 2014-12-11 23:30 - vermil

| was blasting through the Arachnotron's with a Plasma Rifle (I carried over equipment from the previous maps) to get away from the Arch Viles that
kept teleporting in behind the fence visible in the distance upon loading the save game (the player enters the area from where the Arch Viles are).

I'm not really sure what sort of information you are asking for.

#4 - 2014-12-11 23:37 - danij

Thanks, that info and the attached savegame should be enough to recreate the original situation in a debug environment.

#5 - 2015-01-16 12:23 - skyjake
- Tags set to SaveGame, Doom

- Category set to Defect

#6 - 2017-04-03 14:04 - skyjake

- Target version set to Rendering

Files
DoomSav0.save 25.8 KB 2014-12-11 vermil
DoomSav1.save 24.6 KB 2014-12-11 vermil
